#!/bin/bash

cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1


###################################################################
read -p "Enable Nano syntax highlight? [Y/n]: " ENABLE_NANO
if [ "$ENABLE_NANO" = "Y" ] || [ "$ENABLE_NANO" = "y" ] || [ "$ENABLE_NANO" = "" ]
then
	sudo pacman -S nano-syntax-highlighting
	mkdir -p $HOME/.config/nano/
	ln -s $PWD/config/nano/nanorc $HOME/.config/nano/nanorc
fi
###################################################################

###################################################################
read -p "Restore i3wm config?? [Y/n]: " ENABLE_NANO
if [ "$RESTORE_I3" = "Y" ] || [ "$RESTORE_I3" = "y" ] || [ "$RESTORE_I3" = "" ]
then
	rm -rfv $HOME/.config/i3
	mkdir -p $HOME/.config/i3
	ln -s $PWD/config/i3/config $HOME/.config/i3/config
fi
###################################################################

###################################################################
read -p "Restore ~/.bashrc? [Y/n]: " ENABLE_BASHRC
if [ "$ENABLE_BASHRC" = "Y" ] || [ "$ENABLE_BASHRC" = "y" ] || [ "$ENABLE_NANO" = "" ]
then
	sudo pacman -S neofetch
	git clone --depth 1 https://github.com/bluz71/bash-seafly-prompt ~/.bash-seafly-prompt
	source ~/.bash-seafly-prompt/command_prompt.bash
	cd /tmp
	git clone --recursive https://github.com/akinomyoga/ble.sh.git
	make -C ble.sh install PREFIX=~/.local
	cd -
	mkdir $HOME/.cache; echo $PWD > $HOME/.cache/whereami
	rm $HOME/.bashrc
	ln -s $PWD/bashrc $HOME/.bashrc
fi
###################################################################

###################################################################
read -p "xsettingsd [Y/n]: " XSETTINGSD
if [ "$XSETTINGSD" = "Y" ] || [ "$XSETTINGSD" = "y" ] || [ "$XSETTINGSD" = "" ]
then
	sudo pacman -S xsettingsd
	mkdir -p $HOME/.config/xsettingsd/
	ln -s $PWD/config/xsettingsd/xsettingsd.conf $HOME/.config/xsettingsd/xsettingsd.conf
fi
###################################################################


###################################################################
read -p "Would you like to restore scripts [Y/n]: " SCRIPTS
if [ "$SCRIPTS" = "Y" ] || [ "$SCRIPTS" = "y" ] || [ "$SCRIPTS" = "" ]
then
mkdir $HOME/.scripts $HOME/.shortcuts -p
ln -s $PWD/scripts/* $HOME/.scripts/
fi
###################################################################

###################################################################
read -p "Would you like to restore fonts [Y/n]: " FONTS
if [ "$FONTS" = "Y" ] || [ "$FONTS" = "y" ] || [ "$FONTS" = "" ]
then
	mkdir -vp $HOME/.local/share/fonts
	ln -s $PWD/local/share/fonts/* $HOME/.local/share/fonts/
fi
###################################################################
read -p "Would you like to restore picom config [Y/n]: " FONTS
if [ "$PICOM" = "Y" ] || [ "$PICOM" = "y" ] || [ "$PICOM" = "" ]
then
	mkdir /home/shihaam/.config/picom/
	ln -s $PWD/config/picom/picom.conf $HOME/.config/picom/picom.conf
fi

# install screen key please add it here
